com.amazonaws.services.cloudfront.model

## Class GetStreamingDistributionRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.cloudfront.model.GetStreamingDistributionRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class GetStreamingDistributionRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The request to get a streaming distribution's information.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`GetStreamingDistributionRequest()` Default constructor for GetStreamingDistributionRequest object.
`GetStreamingDistributionRequest(String id)` Constructs a new GetStreamingDistributionRequest object.

### Method Summary

All Methods Instance Methods Concrete Methods
`GetStreamingDistributionRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getId()` The streaming distribution's ID.
`int` `hashCode()`
`void` `setId(String id)` The streaming distribution's ID.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetStreamingDistributionRequest` `withId(String id)` The streaming distribution's ID.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetStreamingDistributionRequest

    public GetStreamingDistributionRequest()

Default constructor for GetStreamingDistributionRequest object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### GetStreamingDistributionRequest

    public GetStreamingDistributionRequest(String id)

Constructs a new GetStreamingDistributionRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `id` - The streaming distribution's ID.

### Method Detail

#### setId

    public void setId(String id)

The streaming distribution's ID.

Parameters:
  `id` - The streaming distribution's ID.

#### getId

    public String getId()

The streaming distribution's ID.

Returns:
  The streaming distribution's ID.

#### withId

    public GetStreamingDistributionRequest withId(String id)

The streaming distribution's ID.

Parameters:
  `id` - The streaming distribution's ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetStreamingDistributionRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`